<?php
/*
Plugin Name:  Keyword switch voor SEA campagnes
Plugin URI:   
Description:  Vervang keyword door URL parameter (vooral handig voor AB tests en SEA campagnes). Gebruik [keyword switch="hetzoekwoord"] en roep de pagina aan met parameter ?k=nieuwzoekwoord om het zoekwoord on-the-fly te vervangen.
Version:      1
Author:       Rooza Online Marketing
Author URI:   https://rooza.nl
License:      
License URI:  
Text Domain: 
Domain Path: 
*/

// shortcode voor het tonen van een fluid keyword
function fluid_keyword( $atts ) {
	// Attributes
	$atts = shortcode_atts(
		array(
			'switch' => '',
		),
		$atts
	);
	//check of er een custom keyword gezet moet worden
	if(isset($_GET['k'])) {
		$show_keyword = strip_tags($_GET['k']);
	} else {
		$show_keyword = $atts['switch'];
	}
	return $show_keyword;
}
add_shortcode( 'keyword', 'fluid_keyword' );
?>